#include "XmlDocument.h"

XmlDocument::XmlDocument()
    :mProlog(XmlProlog::Create("xml"))
{

}

XmlDocumentUPtr XmlDocument::Create()
{
    return std::make_unique<XmlDocument>();
}

void XmlDocument::SetProlog(XmlPrologUPtr prolog)
{
    mProlog = std::move(prolog);
}

XmlProlog* XmlDocument::GetProlog() const
{
    return mProlog.get();
}

void XmlDocument::SetRoot(XmlElementUPtr root)
{
    mRoot = std::move(root);
}

XmlElement* XmlDocument::GetRoot() const
{
    return mRoot.get();
}

